--- old/usr/src/test/zfs-tests/tests/functional/history/history_005_neg.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_005_neg.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,14 +52,14 @@
 log_assert "Verify 'zpool get|history|list|status|iostat' will not be logged."
 
 # Save initial TESTPOOL history
-log_must eval "$ZPOOL history $TESTPOOL >$OLD_HISTORY"
+log_must eval "zpool history $TESTPOOL >$OLD_HISTORY"
 
-log_must $ZPOOL get all $TESTPOOL >/dev/null
-log_must $ZPOOL list $TESTPOOL >/dev/null
-log_must $ZPOOL status $TESTPOOL >/dev/null
-log_must $ZPOOL iostat $TESTPOOL >/dev/null
+log_must zpool get all $TESTPOOL >/dev/null
+log_must zpool list $TESTPOOL >/dev/null
+log_must zpool status $TESTPOOL >/dev/null
+log_must zpool iostat $TESTPOOL >/dev/null
 
-log_must eval "$ZPOOL history $TESTPOOL >$NEW_HISTORY"
-log_must $DIFF $OLD_HISTORY $NEW_HISTORY
+log_must eval "zpool history $TESTPOOL >$NEW_HISTORY"
+log_must diff $OLD_HISTORY $NEW_HISTORY
 
 log_pass "Verify 'zpool get|history|list|status|iostat' will not be logged."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_006_neg.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_006_neg.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -48,9 +48,9 @@
 function cleanup
 {
 	if datasetexists $fs ; then
-		log_must $ZFS destroy -rf $fs
+		log_must zfs destroy -rf $fs
 	fi
-	log_must $ZFS create $fs
+	log_must zfs create $fs
 }
 
 log_assert "Verify 'zfs list|get|holds|mount|unmount|share|unshare|send' " \
@@ -59,26 +59,26 @@
 
 # Create initial test environment
 fs=$TESTPOOL/$TESTFS; snap1=$fs@snap1; snap2=$fs@snap2
-log_must $ZFS set sharenfs=on $fs
-log_must $ZFS snapshot $snap1
-log_must $ZFS hold tag $snap1
-log_must $ZFS snapshot $snap2
+log_must zfs set sharenfs=on $fs
+log_must zfs snapshot $snap1
+log_must zfs hold tag $snap1
+log_must zfs snapshot $snap2
 
 # Save initial TESTPOOL history
-log_must eval "$ZPOOL history $TESTPOOL > $OLD_HISTORY"
+log_must eval "zpool history $TESTPOOL > $OLD_HISTORY"
 
-log_must $ZFS list $fs > /dev/null
-log_must $ZFS get mountpoint $fs > /dev/null
-log_must $ZFS unmount $fs
-log_must $ZFS mount $fs
-log_must $ZFS share $fs
-log_must $ZFS unshare $fs
-log_must $ZFS send -i $snap1 $snap2 > /dev/null
-log_must $ZFS holds $snap1
+log_must zfs list $fs > /dev/null
+log_must zfs get mountpoint $fs > /dev/null
+log_must zfs unmount $fs
+log_must zfs mount $fs
+log_must zfs share $fs
+log_must zfs unshare $fs
+log_must zfs send -i $snap1 $snap2 > /dev/null
+log_must zfs holds $snap1
 
-log_must eval "$ZPOOL history $TESTPOOL > $NEW_HISTORY"
-log_must $DIFF $OLD_HISTORY $NEW_HISTORY
+log_must eval "zpool history $TESTPOOL > $NEW_HISTORY"
+log_must diff $OLD_HISTORY $NEW_HISTORY
 
-log_must $ZFS release tag $snap1
+log_must zfs release tag $snap1
 
 log_pass "Verify 'zfs list|get|mount|unmount|share|unshare|send' passed."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_007_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_007_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,9 +47,9 @@
 function cleanup
 {
 	poolexists $migratedpoolname &&  \
-		log_must $ZPOOL destroy -f $migratedpoolname
+		log_must zpool destroy -f $migratedpoolname
 
-	[[ -d $import_dir ]] && $RM -rf $import_dir
+	[[ -d $import_dir ]] && rm -rf $import_dir
 }
 
 log_assert "Verify command history moves with migrated pool."
@@ -62,28 +62,28 @@
 typeset -i RET=1
 typeset -i linenum=0
 
-[[ ! -d $import_dir ]] && log_must $MKDIR $import_dir
+[[ ! -d $import_dir ]] && log_must mkdir $import_dir
 
 # We test the migrations on both uniform platform and cross platform
 for arch in "i386" "sparc"; do
-	log_must $CP $tst_dir/${arch}.orig_history.txt $import_dir
+	log_must cp $tst_dir/${arch}.orig_history.txt $import_dir
 	orig_cmds_f=$import_dir/${arch}.orig_history.txt
 	# remove blank line
 	orig_cmds_f1=$import_dir/${arch}.orig_history_1.txt
-	$CAT $orig_cmds_f | $GREP -v "^$" > $orig_cmds_f1
+	cat $orig_cmds_f | grep -v "^$" > $orig_cmds_f1
 
-	log_must $CP $tst_dir/${arch}.migratedpool.DAT.Z $import_dir
-	log_must $UNCOMPRESS $import_dir/${arch}.migratedpool.DAT.Z
+	log_must cp $tst_dir/${arch}.migratedpool.DAT.Z $import_dir
+	log_must uncompress $import_dir/${arch}.migratedpool.DAT.Z
 
 	# destroy the pool with same name, so that import operation succeeds.
 	poolexists $migratedpoolname && \
-	    log_must $ZPOOL destroy -f $migratedpoolname
+	    log_must zpool destroy -f $migratedpoolname
 
-	log_must $ZPOOL import -d $import_dir $migratedpoolname
-	TZ=$TIMEZONE $ZPOOL history $migratedpoolname | $GREP -v "^$" \
+	log_must zpool import -d $import_dir $migratedpoolname
+	TZ=$TIMEZONE zpool history $migratedpoolname | grep -v "^$" \
 	    >$migrated_cmds_f
 	RET=$?
-	(( $RET != 0 )) && log_fail "$ZPOOL histroy $migratedpoolname fails."
+	(( $RET != 0 )) && log_fail "zpool histroy $migratedpoolname fails."
 
 	# The migrated history file should differ with original history file on
 	# two commands -- 'export' and 'import', which are included in migrated
@@ -92,7 +92,7 @@
 	# then compare this filtered file with the original history file. They
 	# should be identical at this time.
 	for subcmd in "export" "import"; do
-		$GREP "$subcmd" $migrated_cmds_f >/dev/null 2>&1
+		grep "$subcmd" $migrated_cmds_f >/dev/null 2>&1
 		RET=$?
 		(( $RET != 0 )) && log_fail "zpool $subcmd is not logged for" \
 		    "the imported pool $migratedpoolname."
@@ -99,14 +99,14 @@
 	done
 
 	tmpfile=$import_dir/cmds_tmp.$$
-	linenum=`$CAT $migrated_cmds_f | $WC -l`
+	linenum=`cat $migrated_cmds_f | wc -l`
 	(( linenum = linenum - 2 ))
-	$HEAD -n $linenum $migrated_cmds_f > $tmpfile
-	log_must $DIFF $tmpfile $orig_cmds_f1
+	head -n $linenum $migrated_cmds_f > $tmpfile
+	log_must diff $tmpfile $orig_cmds_f1
 
 	# cleanup for next loop testing
-	log_must $ZPOOL destroy -f $migratedpoolname
-	log_must $RM -f `$LS $import_dir`
+	log_must zpool destroy -f $migratedpoolname
+	log_must rm -f `ls $import_dir`
 done
 
 log_pass "Verify command history moves with migrated pool."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_008_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_008_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -48,9 +48,9 @@
 function cleanup
 {
 	if datasetexists $root_testfs; then
-		log_must $ZFS destroy -rf $root_testfs
+		log_must zfs destroy -rf $root_testfs
 	fi
-	log_must $ZFS create $root_testfs
+	log_must zfs create $root_testfs
 }
 
 log_assert "Pool history records all recursive operations."
@@ -59,16 +59,16 @@
 root_testfs=$TESTPOOL/$TESTFS
 fs1=$root_testfs/fs1; fs2=$root_testfs/fs2; fs3=$root_testfs/fs3
 for fs in $fs1 $fs2 $fs3; do
-	log_must $ZFS create $fs
+	log_must zfs create $fs
 done
 
-run_and_verify "$ZFS snapshot -r $root_testfs@snap" "-i"
-run_and_verify "$ZFS hold -r tag $root_testfs@snap" "-i"
-run_and_verify "$ZFS release -r tag $root_testfs@snap" "-i"
-log_must $ZFS snapshot $root_testfs@snap2
-log_must $ZFS snapshot $root_testfs@snap3
-run_and_verify "$ZFS rollback -r $root_testfs@snap" "-i"
-run_and_verify "$ZFS inherit -r mountpoint $root_testfs" "-i"
-run_and_verify "$ZFS destroy -r $root_testfs" "-i"
+run_and_verify "zfs snapshot -r $root_testfs@snap" "-i"
+run_and_verify "zfs hold -r tag $root_testfs@snap" "-i"
+run_and_verify "zfs release -r tag $root_testfs@snap" "-i"
+log_must zfs snapshot $root_testfs@snap2
+log_must zfs snapshot $root_testfs@snap3
+run_and_verify "zfs rollback -r $root_testfs@snap" "-i"
+run_and_verify "zfs inherit -r mountpoint $root_testfs" "-i"
+run_and_verify "zfs destroy -r $root_testfs" "-i"
 
 log_pass "Pool history records all recursive operations."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_009_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_009_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -107,7 +107,7 @@
 	subcmd=${array[$i]}
 	options=${array[((i + 1))]}
 
-	run_and_verify "$ZFS $subcmd $options $testfs" "-i"
+	run_and_verify "zfs $subcmd $options $testfs" "-i"
 	((i += 2))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/history/history_010_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_010_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -47,7 +47,7 @@
 {
 	del_user $HIST_USER
 	del_group $HIST_GROUP
-	datasetexists $root_testfs && log_must $ZFS destroy -rf $root_testfs
+	datasetexists $root_testfs && log_must zfs destroy -rf $root_testfs
 }
 
 log_assert "Verify internal long history information are correct."
@@ -59,18 +59,18 @@
 add_group $HIST_GROUP
 add_user $HIST_GROUP $HIST_USER
 
-run_and_verify "$ZFS create $root_testfs" "-l"
-run_and_verify "$ZFS allow $HIST_GROUP snapshot,mount $root_testfs" "-l"
-run_and_verify "$ZFS allow $HIST_USER destroy,mount $root_testfs" "-l"
-run_and_verify "$ZFS allow $HIST_USER reservation $root_testfs" "-l"
-run_and_verify "$ZFS allow $HIST_USER allow $root_testfs" "-l"
-run_and_verify -u "$HIST_USER" "$ZFS snapshot $root_testfs@snap" "-l"
-run_and_verify -u "$HIST_USER" "$ZFS destroy $root_testfs@snap" "-l"
-run_and_verify -u "$HIST_USER" "$ZFS set reservation=64M $root_testfs" "-l"
+run_and_verify "zfs create $root_testfs" "-l"
+run_and_verify "zfs allow $HIST_GROUP snapshot,mount $root_testfs" "-l"
+run_and_verify "zfs allow $HIST_USER destroy,mount $root_testfs" "-l"
+run_and_verify "zfs allow $HIST_USER reservation $root_testfs" "-l"
+run_and_verify "zfs allow $HIST_USER allow $root_testfs" "-l"
+run_and_verify -u "$HIST_USER" "zfs snapshot $root_testfs@snap" "-l"
+run_and_verify -u "$HIST_USER" "zfs destroy $root_testfs@snap" "-l"
+run_and_verify -u "$HIST_USER" "zfs set reservation=64M $root_testfs" "-l"
 run_and_verify -u "$HIST_USER" \
-    "$ZFS allow $HIST_USER reservation $root_testfs" "-l"
-run_and_verify "$ZFS unallow $HIST_USER create $root_testfs" "-l"
-run_and_verify "$ZFS unallow $HIST_GROUP snapshot $root_testfs" "-l"
-run_and_verify "$ZFS destroy -r $root_testfs" "-l"
+    "zfs allow $HIST_USER reservation $root_testfs" "-l"
+run_and_verify "zfs unallow $HIST_USER create $root_testfs" "-l"
+run_and_verify "zfs unallow $HIST_GROUP snapshot $root_testfs" "-l"
+run_and_verify "zfs destroy -r $root_testfs" "-l"
 
 log_pass "Verify internal long history information pass."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_common.kshlib	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_common.kshlib	Wed Aug 31 16:21:15 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,9 +51,9 @@
 	fullcmd="$1"
 	flags="$2"
 
-	histcmd=$($ECHO $fullcmd | $SED 's/\/usr\/sbin\///g')
-	cmd=$($ECHO $histcmd | $AWK '{print $1}')
-	subcmd=$($ECHO $histcmd | $AWK '{print $2}')
+	histcmd=$(echo $fullcmd | sed 's/\/usr\/sbin\///g')
+	cmd=$(echo $histcmd | awk '{print $1}')
+	subcmd=$(echo $histcmd | awk '{print $2}')
 
 	# If we aren't running zpool or zfs, something is wrong
 	[[ $cmd == "zpool" || $cmd == "zfs" ]] || \
@@ -64,18 +64,18 @@
 	    histcmd=${histcmd%% <*}
 
 	# Run the command as the specified user, and find the new history.
-	$ZPOOL history $flags $pool > $OLD_HISTORY 2>/dev/null
+	zpool history $flags $pool > $OLD_HISTORY 2>/dev/null
 	if [[ $user == "root" ]]; then
 		log_must eval "$fullcmd"
 	else
-		log_must $SU $user -c "eval $fullcmd"
+		log_must su $user -c "eval $fullcmd"
 	fi
-	$ZPOOL history $flags $pool > $TMP_HISTORY 2>/dev/null
-	$DIFF $OLD_HISTORY $TMP_HISTORY | $GREP "^> " | $SED 's/^> //g' \
+	zpool history $flags $pool > $TMP_HISTORY 2>/dev/null
+	diff $OLD_HISTORY $TMP_HISTORY | grep "^> " | sed 's/^> //g' \
 	    > $NEW_HISTORY
 
 	# Verify what's common to every case, regardless of zpool history flags.
-	$GREP "$histcmd" $NEW_HISTORY >/dev/null 2>&1 || \
+	grep "$histcmd" $NEW_HISTORY >/dev/null 2>&1 || \
 	    log_fail "Didn't find \"$histcmd\" in pool history"
 
 	# If 'zpool history' was called without any flags, then we're done.
@@ -97,13 +97,13 @@
 
 	[[ $flags =~ "l" ]] || return 1
 
-	typeset uid=$($ID -u $user)
-	typeset hname=$($HOSTNAME)
+	typeset uid=$(id -u $user)
+	typeset hname=$(hostname)
 	if ! is_global_zone; then
-		hname=$hname:$($ZONENAME)
+		hname=$hname:$(zonename)
 	fi
 
-	$GREP "$cmd \[user $uid ($user) on $hname\]" $NEW_HISTORY >/dev/null \
+	grep "$cmd \[user $uid ($user) on $hname\]" $NEW_HISTORY >/dev/null \
 	    2>&1
 	if [[ $? != 0 ]]; then
 		log_note "Couldn't find long information for \"$cmd\""
@@ -121,15 +121,15 @@
 
 	[[ $flags =~ "i" ]] || return 1
 
-	typeset tag=$($ECHO $cmd | $AWK '{print $4}')
+	typeset tag=$(echo $cmd | awk '{print $4}')
 	typeset fullname=${cmd##* }
 	typeset dsname=${fullname%%@*}
 	typeset snapname=${fullname##*@}
 
 	# This works whether or not the hold was recursive
-	for ds in $($ZFS list -r -Ho name -t snapshot $dsname | \
-	    $GREP "@$snapname"); do
-		$GREP "$subcmd $ds ([0-9]*) tag=$tag" $NEW_HISTORY \
+	for ds in $(zfs list -r -Ho name -t snapshot $dsname | \
+	    grep "@$snapname"); do
+		grep "$subcmd $ds ([0-9]*) tag=$tag" $NEW_HISTORY \
 		    >/dev/null 2>&1
 		if [[ $? != 0 ]]; then
 			log_note "Didn't find hold on $ds with $tag"
@@ -160,7 +160,7 @@
 	typeset rb_fs=${dsname}/%rollback
 	typeset snapname=${fullname##*@}
 
-	$GREP "clone swap $rb_fs ([0-9]*) parent=$parent_fs" $NEW_HISTORY \
+	grep "clone swap $rb_fs ([0-9]*) parent=$parent_fs" $NEW_HISTORY \
 	    >/dev/null 2>&1
 	if [[ $? != 0 ]]; then
 		log_note "Didn't find rollback clone swap in pool history"
@@ -167,7 +167,7 @@
 		return 1
 	fi
 
-	$GREP "destroy $rb_fs" $NEW_HISTORY >/dev/null 2>&1
+	grep "destroy $rb_fs" $NEW_HISTORY >/dev/null 2>&1
 	if [[ $? != 0 ]]; then
 		log_note "Didn't find rollback destroy in pool history"
 		return 1
@@ -188,8 +188,8 @@
 	prop=${prop##* }
 
 	# This works whether or not the inherit was recursive
-	for ds in $($ZFS list -r -Ho name -t filesystem $dsname); do
-		$GREP "$subcmd $ds ([0-9]*) ${prop}=" $NEW_HISTORY >/dev/null \
+	for ds in $(zfs list -r -Ho name -t filesystem $dsname); do
+		grep "$subcmd $ds ([0-9]*) ${prop}=" $NEW_HISTORY >/dev/null \
 		    2>&1
 		if [[ $? != 0 ]]; then
 			log_note "Didn't find inherit history for $ds"
@@ -219,7 +219,7 @@
 	# - Whether the operation applies locally or to descendent datasets (or
 	#   both)
 	#
-	$ECHO $cmd  | $AWK '{i = NF - 1; print $i}' | $GREP '@' >/dev/null \
+	echo $cmd  | awk '{i = NF - 1; print $i}' | grep '@' >/dev/null \
 	    2>&1 && is_set=1
 	dsname=${cmd##* }
 	[[ $cmd =~ "-l " ]] && lflag=1
@@ -242,7 +242,7 @@
 		[[ -n $is_set ]] && str="S-\$@"
 		tmp=${cmd#*@}
 		code="$str${tmp% *}"
-		$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+		grep "permission $subcmd $dsname ([0-9]*) $code" \
 		    $NEW_HISTORY >/dev/null 2>&1
 		if [[ $? != 0 ]]; then
 			 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -253,7 +253,7 @@
 		[[ -n $is_set ]] && str="C-\$"
 		tmp=${cmd#*-c}
 		code="$str${tmp% *}"
-		$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+		grep "permission $subcmd $dsname ([0-9]*) $code" \
 		    $NEW_HISTORY >/dev/null 2>&1
 		if [ $? != 0 ]]; then
 			 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -263,11 +263,11 @@
 		str="u"
 		[[ -n $is_set ]] && str="U"
 		tmp=${cmd##*-u }
-		opt=$($ECHO $tmp | $AWK '{print $2}')
-		uid=$($ID -u ${tmp%% *})
+		opt=$(echo $tmp | awk '{print $2}')
+		uid=$(id -u ${tmp%% *})
 		if [[ -n $lflag ]]; then
 			code="${str}l\$$uid $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -276,7 +276,7 @@
 		fi
 		if [[ -n $dflag ]]; then
 			code="${str}d\$$uid $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -287,11 +287,11 @@
 		str="g"
 		[[ -n $is_set ]] && str="G"
 		tmp=${cmd##*-g }
-		opt=$($ECHO $tmp | $AWK '{print $2}')
-		gid=$($AWK -F: "/^${tmp%% *}:/ {print \$3}" /etc/group)
+		opt=$(echo $tmp | awk '{print $2}')
+		gid=$(awk -F: "/^${tmp%% *}:/ {print \$3}" /etc/group)
 		if [[ -n $lflag ]]; then
 			code="${str}l\$$gid $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -300,7 +300,7 @@
 		fi
 		if [[ -n $dflag ]]; then
 			code="${str}d\$$gid $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -314,7 +314,7 @@
 		opt=${opt%% *}
 		if [[ -n $lflag ]]; then
 			code="${str}l\$ $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -323,7 +323,7 @@
 		fi
 		if [[ -n $dflag ]]; then
 			code="${str}d\$ $opt"
-			$GREP "permission $subcmd $dsname ([0-9]*) $code" \
+			grep "permission $subcmd $dsname ([0-9]*) $code" \
 			    $NEW_HISTORY >/dev/null 2>&1
 			if [ $? != 0 ]]; then
 				 log_note "Couldn't find $code in $NEW_HISTORY"
@@ -361,7 +361,7 @@
 	[[ $dsname =~ "@" ]] && typeset is_snap=1
 
 	if [[ -n $is_snap ]]; then
-		$GREP "ioctl destroy_snaps" $NEW_HISTORY >/dev/null 2>&1
+		grep "ioctl destroy_snaps" $NEW_HISTORY >/dev/null 2>&1
 		if [[ $? != 0 ]]; then
 			log_note "Didn't find ioctl while destroying $dsname"
 			return 1
@@ -369,7 +369,7 @@
 	fi
 
 	# This should be present for datasets and snapshots alike
-	$GREP "destroy $dsname" $NEW_HISTORY >/dev/null 2>&1
+	grep "destroy $dsname" $NEW_HISTORY >/dev/null 2>&1
 	if [[ $? != 0 ]]; then
 		log_note "Didn't find \"destroy\" for $dsname"
 		return 1
@@ -389,7 +389,7 @@
 	typeset dsname=${fullname%%@*}
 	typeset snapname=${fullname##*@}
 
-	$GREP "\[txg:[0-9]*\] $subcmd $fullname ([0-9]*)" $NEW_HISTORY \
+	grep "\[txg:[0-9]*\] $subcmd $fullname ([0-9]*)" $NEW_HISTORY \
 	    >/dev/null 2>&1
 	if [[ $? != 0 ]]; then
 		log_note "Didn't find snapshot command for $fullname"
@@ -397,9 +397,9 @@
 	fi
 
 	# This works whether or not the snapshot was recursive
-	for ds in $($ZFS list -r -Ho name -t snapshot $dsname | \
-	    $GREP "@$snapname"); do
-		$GREP "^[ ]* $ds$" $NEW_HISTORY >/dev/null 2>&1
+	for ds in $(zfs list -r -Ho name -t snapshot $dsname | \
+	    grep "@$snapname"); do
+		grep "^[ ]* $ds$" $NEW_HISTORY >/dev/null 2>&1
 		if [[ $? != 0 ]]; then
 			log_note "Didn't find \"ioctl snapshot\" for $ds"
 			return 1
--- old/usr/src/test/zfs-tests/tests/functional/holes/holes.shlib	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/holes/holes.shlib	Wed Aug 31 16:21:15 2016
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 # testfile The file to examine.
@@ -23,8 +23,8 @@
 	typeset -i data_blks=$3
 	typeset -i failures=0
 
-	found_hole_blks=$($GETHOLES -h $testfile)
-	found_data_blks=$($GETHOLES -d $testfile)
+	found_hole_blks=$(getholes -h $testfile)
+	found_data_blks=$(getholes -d $testfile)
 	if [[ $found_hole_blks -ne $hole_blks ]] then;
 		log_note "Found $found_hole_blks, not $hole_blks hole blocks."
 		((failures++))
--- old/usr/src/test/zfs-tests/tests/functional/holes/holes_sanity.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/holes/holes_sanity.ksh	Wed Aug 31 16:21:15 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -34,52 +34,52 @@
 testfile="$TESTDIR/testfile"
 
 for bs in 512 1024 2048 4096 8192 16384 32768 65536 131072; do
-	log_must $ZFS set recsize=$bs $TESTPOOL/$TESTFS
+	log_must zfs set recsize=$bs $TESTPOOL/$TESTFS
 
 	#
 	# Create combinations of holes and data to verify holes ending files
 	# and the like. (hhh, hhd, hdh...)
 	#
-	log_must $MKHOLES -h 0:$((bs * 6)) $testfile
+	log_must mkholes -h 0:$((bs * 6)) $testfile
 	verify_holes_and_data_blocks $testfile 6 0
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -h 0:$((bs * 4)) -d $((bs * 4)):$((bs * 2)) $testfile
+	log_must mkholes -h 0:$((bs * 4)) -d $((bs * 4)):$((bs * 2)) $testfile
 	verify_holes_and_data_blocks $testfile 4 2
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -h 0:$((bs * 2)) -d $((bs * 2)):$((bs * 2)) \
+	log_must mkholes -h 0:$((bs * 2)) -d $((bs * 2)):$((bs * 2)) \
 	    -h $((bs * 4)):$((bs * 2)) $testfile
 	verify_holes_and_data_blocks $testfile 4 2
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -h 0:$((bs * 2)) -d $((bs * 2)):$((bs * 4)) $testfile
+	log_must mkholes -h 0:$((bs * 2)) -d $((bs * 2)):$((bs * 4)) $testfile
 	verify_holes_and_data_blocks $testfile 2 4
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -d 0:$((bs * 2)) -h $((bs * 2)):$((bs * 4)) $testfile
+	log_must mkholes -d 0:$((bs * 2)) -h $((bs * 2)):$((bs * 4)) $testfile
 	verify_holes_and_data_blocks $testfile 4 2
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -d 0:$((bs * 2)) -h $((bs * 2)):$((bs * 2)) \
+	log_must mkholes -d 0:$((bs * 2)) -h $((bs * 2)):$((bs * 2)) \
 	    -d $((bs * 4)):$((bs * 2)) $testfile
 	verify_holes_and_data_blocks $testfile 2 4
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -d 0:$((bs * 4)) -h $((bs * 4)):$((bs * 2)) $testfile
+	log_must mkholes -d 0:$((bs * 4)) -h $((bs * 4)):$((bs * 2)) $testfile
 	verify_holes_and_data_blocks $testfile 2 4
-	log_must $RM $testfile
+	log_must rm $testfile
 
-	log_must $MKHOLES -d 0:$((bs * 6)) $testfile
+	log_must mkholes -d 0:$((bs * 6)) $testfile
 	verify_holes_and_data_blocks $testfile 0 6
-	log_must $RM $testfile
+	log_must rm $testfile
 
 	# Verify holes are correctly seen past the largefile limit.
 	len=$((1024**3 * 5))
 	nblks=$((len / bs))
-	log_must $MKHOLES -h 0:$len -d $len:$bs $testfile
+	log_must mkholes -h 0:$len -d $len:$bs $testfile
 	verify_holes_and_data_blocks $testfile $nblks 1
-	log_must $RM $testfile
+	log_must rm $testfile
 done
 
 log_pass "Basic hole tests pass."
--- old/usr/src/test/zfs-tests/tests/functional/inheritance/cleanup.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inheritance/cleanup.ksh	Wed Aug 31 16:21:15 2016
@@ -26,10 +26,10 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . ${STF_SUITE}/include/libtest.shlib
 
-$RM -rf $TESTDIR.*
+rm -rf $TESTDIR.*
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/inheritance/inherit.kshlib	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inheritance/inherit.kshlib	Wed Aug 31 16:21:15 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -38,7 +38,7 @@
         typeset prop=$1
         typeset dataset=$2
 
-	prop_val=`$ZFS get -H -o source $prop $dataset`
+	prop_val=`zfs get -H -o source $prop $dataset`
 
         if [[ $? -ne 0 ]]; then
                 log_fail "Unable to determine the source of $prop " \
@@ -104,7 +104,7 @@
 	typeset prop_val=$2
 	typeset dataset=$3
 
-	$ZFS set $prop=$prop_val $dataset
+	zfs set $prop=$prop_val $dataset
 	check_val=`get_prop $prop $dataset`
 
 	if [[ $check_val != $prop_val ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/inheritance/inherit_001_pos.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inheritance/inherit_001_pos.ksh	Wed Aug 31 16:21:15 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,10 +58,10 @@
 	if [[ $type == "POOL" ]]; then
 		create_pool "$dataset" "$disks"
 	elif [[ $type == "CTR" ]]; then
-		log_must $ZFS create $dataset
-		log_must $ZFS set canmount=off $dataset
+		log_must zfs create $dataset
+		log_must zfs set canmount=off $dataset
 	elif [[ $type == "FS" ]]; then
-		log_must $ZFS create $dataset
+		log_must zfs create $dataset
 	else
 		log_fail "Unrecognised type $type"
 	fi
@@ -143,7 +143,7 @@
 		def_val[idx]=$record_val
 		def_recordsize=1
 	elif [[ $init_code == "local" ]]; then
-		log_must $ZFS set recordsize=$record_val $dataset
+		log_must zfs set recordsize=$record_val $dataset
 		local_val[idx]=$record_val
 	fi
 }
@@ -332,13 +332,13 @@
 					log_note "No operation specified"
 				else
 					export __ZFS_POOL_RESTRICT="$TESTPOOL"
-					log_must $ZFS unmount -a
+					log_must zfs unmount -a
 					unset __ZFS_POOL_RESTRICT
 
 					for p in ${prop[i]} ${prop[((i+1))]}; do
-						$ZFS $op $p $target
+						zfs $op $p $target
 						ret=$?
-						check_failure $ret "$ZFS $op $p \
+						check_failure $ret "zfs $op $p \
 						    $target"
 					done
 				fi
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_001_pos.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_001_pos.ksh	Wed Aug 31 16:21:15 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 	# Remove dump device.
 	#
 	if [[ -n $PREVDUMPDEV ]]; then
-		log_must $DUMPADM -u -d $PREVDUMPDEV > /dev/null
+		log_must dumpadm -u -d $PREVDUMPDEV > /dev/null
 	fi
 
 	destroy_pool $TESTPOOL
@@ -62,7 +62,7 @@
 typeset dumpdev=""
 typeset diskslice=""
 
-PREVDUMPDEV=`$DUMPADM | $GREP "Dump device" | $AWK '{print $3}'`
+PREVDUMPDEV=`dumpadm | grep "Dump device" | awk '{print $3}'`
 
 log_note "Zero $FS_DISK0 and place free space in to slice 0"
 log_must cleanup_devices $FS_DISK0
@@ -69,10 +69,10 @@
 
 diskslice="/dev/dsk/${FS_DISK0}s0"
 log_note "Configuring $diskslice as dump device"
-log_must $DUMPADM -d $diskslice > /dev/null
+log_must dumpadm -d $diskslice > /dev/null
 
 log_note "Confirm that dump device has been setup"
-dumpdev=`$DUMPADM | $GREP "Dump device" | $AWK '{print $3}'`
+dumpdev=`dumpadm | grep "Dump device" | awk '{print $3}'`
 [[ -z "$dumpdev" ]] && log_untested "No dump device has been configured"
 
 [[ "$dumpdev" != "$diskslice" ]] && \
@@ -80,7 +80,7 @@
 
 log_note "Attempt to zpool the dump device"
 unset NOINUSE_CHECK
-log_mustnot $ZPOOL create $TESTPOOL "$diskslice"
+log_mustnot zpool create $TESTPOOL "$diskslice"
 log_mustnot poolexists $TESTPOOL
 
 log_pass "Unable to zpool a device in use by dumpadm"
